Page MenuHomePhabricator

Gadgets not loading for Lil_Johnny on the English Wikipedia
Closed, DeclinedPublic

Description

The first one: Twinkle, it appears and disappears, I've tried clearing my cache, nothing, the specific problem is that I cannot edit CSD tagged articles (I can edit the normal ones) or user talk pages with Twinkle

The second one: Popups, The user previews seem to not work on user talk pages.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 13 2017, 3:06 AM
Framawiki added a subscriber: Framawiki.

Hello @Lil_Johnny , I don't think that Phabricator can help you for Twinkle, because this project was created on English Wikipedia. Please report your bug on-wiki.

For you second report: can you provide a sample page URL where Popups' user previews doesn't work ? What browser do you use ?

If you have problems with local gadgets or user scripts, these problems are often created by broken JavaScript code (the programming language that gadgets are written in) or undeclared dependencies on other code.

To track down the problematic code and place that needs fixing, open the developer tools of your web browser:

After opening them, please append ?debug=true to the web address (URL) of the page on which you see the problem, if the URL does not already include a ?. If the URL already includes a ?, append &debug=true instead. (For more technical information you can check https://www.mediawiki.org/wiki/ResourceLoader/Developing_with_ResourceLoader#Toggle_debug_mode but you do not have to read that to follow the next steps.)

If there is a problem with JavaScript, an error should be printed in the 'console' of the developer tools (make sure that "JavaScript" or "JS" is enabled here, and potentially disable other output so the output does not get too noisy):


Click on the file name on the right. This will open the "Debugger" view. The right pane will show the code which needs to be fixed. The left pane will show which file needs to be fixed (you might need to scroll through the list to find the one file that is highlighted). Right-click on the file, to open the file that needs fixing in a new tab:

Due to how files are "loaded", the exact URL of the file might not always be obvious. So you may have to scroll to the top of the file to see its name.

Problems that need fixing could be in the local MediaWiki:Common.js file on that wiki, in your personal files such as User:MyUserName/common.js (or other .js files that you have under User:MyUserName/), or in the code of one of the gadgets available on that wiki, or in the code dependency definitions of the gadget defined in MediaWiki:Gadgets-definition on that wiki.

(CC-BY-SA @Aklapper)

(Unrelated to the Gadgets extension itself hence removing project)

https://en.wikipedia.org/wiki/User:Lil_Johnny/common.js uses mw.util, this is enough to break all your JavaScript.

Nemo_bis renamed this task from Problem with two WP gadgets to Gadgets not loading for Lil_Johnny on the English Wikipedia.
Aklapper changed the task status from Open to Stalled.May 23 2017, 7:04 PM

@Lil_Johnny: Is this still a problem? If it is, can you please provide your web browser's developer tools' error output?
See https://www.mediawiki.org/wiki/Help:Locating_broken_scripts

Aklapper closed this task as Declined.Jun 16 2017, 10:48 AM

@Lil_Johnny: Unfortunately closing this report as no further information has been provided and as the file has seen several changes in the meantime.